Bug 436330 - Review Request: libtrash - Libraries to move files to a trash-folder on delete
Review Request: libtrash - Libraries to move files to a trash-folder on delete
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 10:40 EST by Zdenek Prikryl
Modified: 2008-09-11 13:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-29 07:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Zdenek Prikryl 2008-03-06 10:40:14 EST
Spec URL: http://zprikryl.fedorapeople.org/libtrash.spec
SRPM URL: http://zprikryl.fedorapeople.org/libtrash-3.2-1.fc9.src.rpm
Description: 
Libtrash is the shared library which, when preloaded, implements a trash
can under GNU/Linux. Through the interception of function calls which
might lead to accidental data loss libtrash effectively ensures that your
data remains protected from your own mistakes.
Comment 1 Ian Weller 2008-06-28 14:19:31 EDT
I'll review this.
Comment 2 Ian Weller 2008-06-28 16:46:47 EDT
- The spec you mentioned from the URL does not match the spec in the SPRM
  - Make sure that the /sbin/ldconfig lines are as follows:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

- Don't use %{name}-latest in the URL, use %{name}-%{version}. Yes, the URL is
still valid.

- libtrash.i386: W: devel-file-in-non-devel-package /usr/lib/libtrash.so
  - move %{_libdir}/libtrash.so to a -devel package

- Other rpmlint errors:
  - libtrash.i386: E: no-ldconfig-symlink /usr/lib/libtrash.so.3.2
Comment 3 Zdenek Prikryl 2008-07-01 08:13:19 EDT
First at all, thank you for reviewing :-)

(In reply to comment #2)
> - The spec you mentioned from the URL does not match the spec in the SPRM

Fixed.

> - Make sure that the /sbin/ldconfig lines are as follows:
> 
> %post -p /sbin/ldconfig
> 
> %postun -p /sbin/ldconfig

Yes, the lines look like those above.

> - Don't use %{name}-latest in the URL, use %{name}-%{version}. Yes, the URL is
> still valid.

Fixed.

> - libtrash.i386: W: devel-file-in-non-devel-package /usr/lib/libtrash.so
>   - move %{_libdir}/libtrash.so to a -devel package

This library is the core of libtrash package. So I think, that it doesn't make a
sense to make another package. If so, then the first package would contain only
configuration file and doc files and the second one would contain only the
library. Furthermore, the first one would have to have second one in
requirements, otherwise the whole thing will not work.

> - Other rpmlint errors:
> - libtrash.i386: E: no-ldconfig-symlink /usr/lib/libtrash.so.3.2

Fixed.

Spec URL: http://zprikryl.fedorapeople.org/libtrash.spec
SRPM URL: http://zprikryl.fedorapeople.org/libtrash-3.2-1.fc10.src.rpm
Comment 4 Ian Weller 2008-07-01 13:24:46 EDT
(In reply to comment #3)
> This library is the core of libtrash package. So I think, that it doesn't make a
> sense to make another package. If so, then the first package would contain only
> configuration file and doc files and the second one would contain only the
> library. Furthermore, the first one would have to have second one in
> requirements, otherwise the whole thing will not work.

You need to keep the libraries with numbered extensions (libtrash.so.3.2 and
libtrash.so.3) in the main package, while moving the non-numbered one
(libtrash.so) to the -devel package.

More things:
- You should have updated the NVR (3.2-2 instead of 3.2-1) for the updated
release of this package.

- E: no-ldconfig-symlink /usr/lib/libtrash.so.3.2 is still not fixed. This
message only comes up when building the binary RPM.
Comment 5 Zdenek Prikryl 2008-07-02 04:17:57 EDT
(In reply to comment #4)
> You need to keep the libraries with numbered extensions (libtrash.so.3.2 and
> libtrash.so.3) in the main package, while moving the non-numbered one
> (libtrash.so) to the -devel package.

Fixed.

> - You should have updated the NVR (3.2-2 instead of 3.2-1) for the updated
> release of this package.

Fixed

> - E: no-ldconfig-symlink /usr/lib/libtrash.so.3.2 is still not fixed. This
> message only comes up when building the binary RPM.

Hmm, when I try to build binary package I don't see this message. Do you have
any idea why this error message comes up? I use rpm-build-4.4.2.3-2.fc9.i386.

Spec URL: http://zprikryl.fedorapeople.org/libtrash.spec
SRPM URL: http://zprikryl.fedorapeople.org/libtrash-3.2-3.fc10.src.rpm
Comment 6 Ian Weller 2008-07-08 23:56:15 EDT
"%package -n libtrash-devel" and the like should be replaced with "%package
devel". It assumes the libtrash part automatically.

The summary on -devel should be more like the main package summary. Most
notably, rpmlint complains about the first letter not being capitalized, so be
sure to fix that. (libtrash-devel.i386: W: summary-not-capitalized libtrash
dynamic library)

libtrash-devel.i386: W: no-documentation
  Just adding the same documentation as the main package would work.

The strange no-ldconfig-symlink error doesn't show up anymore. I did a yum
update between rpmlints, and I think some RPM stuff got updated.
Comment 7 Zdenek Prikryl 2008-07-09 06:59:59 EDT
(In reply to comment #6)
> "%package -n libtrash-devel" and the like should be replaced with "%package
> devel". It assumes the libtrash part automatically.

Fixed

> The summary on -devel should be more like the main package summary. Most
> notably, rpmlint complains about the first letter not being capitalized, so be
> sure to fix that. (libtrash-devel.i386: W: summary-not-capitalized libtrash
> dynamic library)

Fixed

> libtrash-devel.i386: W: no-documentation
>   Just adding the same documentation as the main package would work.

Added.

Spec URL: http://zprikryl.fedorapeople.org/libtrash.spec
SRPM URL: http://zprikryl.fedorapeople.org/libtrash-3.2-4.fc10.src.rpm
Comment 8 Ian Weller 2008-07-11 12:36:10 EDT
+: good, -: fail, x: doesn't apply

+ source files match upstream:
    [ianweller@slartibartfast REVIEW]$ md5sum libtrash-3.2.tgz srpm/libtrash-3.2.tgz
    56f7b54f50d760e4719f73b98cd8b43a  libtrash-3.2.tgz
    56f7b54f50d760e4719f73b98cd8b43a  srpm/libtrash-3.2.tgz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.
+ license text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present. 
+ package builds in mock.
    dist-f8, dist-f9, and dist-f10 tested on Koji
+ package installs properly.
+ debuginfo package looks complete.
+ rpmlint is silent. 
    4 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ final provides and requires are sane:
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
- file permissions are appropriate.
    I'm not sure why the permissions on /etc/libtrash.conf are 444, everything
    else in that directory seems to be 644. Fix that.
+ no scriptlets present. 
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.

One remaining problem.
Comment 9 Zdenek Prikryl 2008-07-15 03:09:08 EDT
> [...]
> - file permissions are appropriate.
>     I'm not sure why the permissions on /etc/libtrash.conf are 444, everything
>     else in that directory seems to be 644. Fix that.

Fixed

> [...]

Spec URL: http://zprikryl.fedorapeople.org/libtrash.spec
SRPM URL: http://zprikryl.fedorapeople.org/libtrash-3.2-5.fc10.src.rpm
Comment 10 Ian Weller 2008-07-15 14:14:55 EDT
=== APPROVED ===
Comment 11 Zdenek Prikryl 2008-07-17 05:11:35 EDT
New Package CVS Request
=======================
Package Name: librash
Short Description: Libraries to move files to a trash-folder on delete
Owners: zprikryl
Branches: F-9
InitialCC: 
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-07-17 14:29:08 EDT
I assume the package name was supposed to be libtrash?

cvs done.
Comment 13 Fedora Update System 2008-07-29 07:22:37 EDT
libtrash-3.2-5.fc9 has been submitted as an update for Fedora 9
Comment 14 Zdenek Prikryl 2008-07-29 07:25:13 EDT
The name is good. Now, package is built.
Comment 15 Fedora Update System 2008-09-11 13:19:29 EDT
libtrash-3.2-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.